<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Include Bootstrap -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">
    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css"
          integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
</head>
<body>
<div class="container-fluid">
    <h3 class="display-3">This is an example Vue.js application developed with Spring Boot</h3>

    <div id="contents-main">
        <div class="lead">
            <strong>Name of Event:</strong>
            <span th:text="${eventName}"></span>
        </div>
        <div id="contents">
            <!-- Since we create a Vue component pointing to id=contents,
                 Vue will generate a unordered list of items such
                 as this inside this div.
                 v-for will cause a loop to run over all players
                 as per the players array found in app.data
            <ul>
                <li></li>
                <li></li>
            </ul>
            -->
            <ul>
                <li style="list-style-type:none" v-for="trend in trends">
                    <player-card
                            v-bind:player="trend" v-bind:key="trend.id">
                    </player-card>
                </li>
            </ul>
        </div>
    </div>
</div>

<!-- include Vue.js -->
<!-- we include babel js so that we can write ES6 code in the browser
     for a more production like setup it is recommended to setup a build process
     to transpile and minify the code (such as using webpack)
 -->
<script src="https://cdn.jsdelivr.net/npm/vue@2.5.16/dist/vue.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/babel-standalone/6.21.1/babel.min.js"></script>
<script type="text/babel">
    // player-card is now a Vue component that generates a 'card' showing a player
    // It can be used
    // declaratively like <player-card v-bind:player="someplayer">
    Vue.component('player-card', {
        props: ['player'],
        template: `<div class="card">
                    <div class="card-body">
                        <h6 class="card-title">
                            {{ player.name }}
                        </h6>
                        <p class="card-text">
                            <div>
                            {{ player.description }}
                            </div>
                        </p>
                    </div>
                </div>`
    });

    var app = new Vue({
        el: '#contents',
        data: {
            trends: [
                {id: "1", name: "Vue js", description: ""},
                {id: "2", name: "Angular", description: ""},
                {id: "3", name: "React", description: ""}
            ]
        }
    });

</script>
</body>
</html>